Loading...
Searching...
No Matches
Dune::MatMultMatResult< M1, M2 > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Sparse Matrix and Vector classes

Helper TMP to get the result type of a sparse matrix matrix multiplication ( ). More...

`#include <dune/istl/matrixmatrix.hh>`

Inheritance diagram for Dune::MatMultMatResult< M1, M2 >:

## Detailed Description

template<typename M1, typename M2>
struct Dune::MatMultMatResult< M1, M2 >

Helper TMP to get the result type of a sparse matrix matrix multiplication ( ).

The type of matrix C will be stored as the associated type MatMultMatResult::type.

Template Parameters

  M1 | The type of matrix A.
  M2 | The type of matrix B.

The documentation for this struct was generated from the following file:

- matrixmatrix.hh